ESXi

 View Only
  • 1.  VM template issue

    Posted Feb 20, 2014 11:42 PM

    1) We have mixed esxi hosts versions 4.1 and 5.1 with different updates. I can create a template but i get compatibility error when I try to deploy the template: Please see the attached doc. Does it matter or not if I ignore the error and continue to deploy the template? Why is template called GOLD template? Any special configuration need to be done for gold templates? 2)what is the best practice to do hosts and vCenter maintenance monthly or yearly? 3) What will happen if just ignore esxi hosts upgrade and continue on  different versions of esxi hosts. I didn't see anything wrong, everything still worked fine. Thanks for your input and advise!



  • 2.  RE: VM template issue
    Best Answer

    Posted Feb 21, 2014 02:29 AM

    the virtual machine your template is based on is version 8, to run on a 4.1 host it needs to be version 7 or earlier.

    5.1 hosts will run both version 7 and 8 virtual machines.

    as for maintenance etc it all comes down to environment size, resource constraints, engineer preference.

    personally

    Vcenter maintenance = half yearly ( or if there is a problem that requires update )

    esxi =  half yearly ( I first do bios updates to supported levels on the version of esxi I am going to )

    I keep all my hosts at the same patch level except a couple that may be testing the next updates level I am going to.



  • 3.  RE: VM template issue

    Posted Feb 21, 2014 12:20 PM

    I agree with Mglasson.

    On ESXi 4.1 you should be using VMware hardware version 7 , even if you succeed to deplou VM with hardware version 8 there are new features added in Vsphere 5.1 wont be available to you on the lower esxi and you'll start facing compatibility issues.

    Thanks and Regards,

    Shrikant Gavhane



  • 4.  RE: VM template issue

    Posted Feb 21, 2014 04:10 PM

    Thank you both for your good information but I always get compatible error every time when I deploy the template. across the datastores. I create a VM template on version 8 but when I deploy it on version 7 host ---most of them are on 7  and then get error but it allows me to  continue to deploy. Is it the reason template on 8 and deploy to version 7 hosts and cause the error???



  • 5.  RE: VM template issue

    Posted Feb 22, 2014 11:45 AM

    Hi Ginger8990

    This must be because of the template hadware version higher than the destination esxi supporting. But when you select the compatible hardware version it works fine.

    One solution is to have 2 different templates for your environment, but if you have more variation in ESXi version this is not feasible.

    Thanks and Regards,

    Shrikant Gavhane